Debian Bug report logs - #705220
ITP: ext4magic -- disk utility to recover files from ext3 or ext4 partitions

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: programmer11180@programist.ru

Date: Thu, 11 Apr 2013 13:39:02 UTC

Owned by: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>

Severity: wishlist

Merged with 705413

Fixed in version ext4magic/0.3.1-1

Done: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#705220; Package wnpp. (Thu, 11 Apr 2013 13:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to programmer11180@programist.ru:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 11 Apr 2013 13:39:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: programmer11180@programist.ru
To: submit@bugs.debian.org
Subject: RFP: ext4magic -- disk utility to recover files from ext3 or ext4 partitions
Date: Thu, 11 Apr 2013 17:29:07 +0400
Package: wnpp
Severity: wishlist

Package name   :    ext4magic
Version       :     0.3.1 
Author        :   	Roberto Maar 
URL           :    http://developer.berlios.de/projects/ext4magic/
License       :   GPL
Programming Language:  C
Operating System:   Linux
Languages: 	English, German

ext4magic is a disk utility to recover files from ext3 or ext4 partitions

It is based on ext3grep and extundelete, but was rewritten from scratch. In addition to the tools just mentioned ext4magic

    handles more file types, also hardlinks and symlinks
    extracts and using more information from the journal and the filesystem
    restores owner, group and modification time (optional file attributes) of files and directories
    can try to find moved and overwritten directories and files and more then one version of a file
    can extract a lot of useful information about the journal and the journal data itself
    has a file carving function at the end of a multi-step recover process with different recover methods
    includes functions tries to recover a partially destroyed file system. 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#705220; Package wnpp. (Sun, 14 Apr 2013 16:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 14 Apr 2013 16:06:04 GMT) Full text and rfc822 format available.

Message #10 received at 705220@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: 705220@bugs.debian.org
Subject: Re: ext4magic -- disk utility to recover files from ext3 or ext4 partitions
Date: Sun, 14 Apr 2013 13:03:56 -0300
[Message part 1 (text/plain, inline)]
In my TODO now. Please, see #705413.

Regards,

Eriberto - Brazil
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP: ext4magic -- disk utility to recover files from ext3 or ext4 partitions' from 'RFP: ext4magic -- disk utility to recover files from ext3 or ext4 partitions' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sun, 14 Apr 2013 17:00:08 GMT) Full text and rfc822 format available.

Owner recorded as Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sun, 14 Apr 2013 17:00:09 GMT) Full text and rfc822 format available.

Merged 705220 705413 Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sun, 14 Apr 2013 17:00:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Eriberto <eriberto@eriberto.pro.br> to control@bugs.debian.org. (Sun, 21 Apr 2013 14:27:13 GMT) Full text and rfc822 format available.

Message #19 received at 705413-close@bugs.debian.org (full text, mbox):

From: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
To: 705413-close@bugs.debian.org
Subject: Bug#705413: fixed in ext4magic 0.3.1-1
Date: Sun, 28 Apr 2013 13:00:06 +0000
Source: ext4magic
Source-Version: 0.3.1-1

We believe that the bug you reported is fixed in the latest version of
ext4magic, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 705413@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joao Eriberto Mota Filho <eriberto@eriberto.pro.br> (supplier of updated ext4magic package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 15 Apr 2013 16:35:05 -0300
Source: ext4magic
Binary: ext4magic
Architecture: source amd64
Version: 0.3.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Changed-By: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Description: 
 ext4magic  - recover deleted files from ext3 or ext4 partitions
Closes: 705413
Changes: 
 ext4magic (0.3.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #705413)
Checksums-Sha1: 
 e8d4e21ab00603301a3c4d1d284fb02b3cb3f223 1390 ext4magic_0.3.1-1.dsc
 8caea4131aad2653e81f85aed9dfd7704521d94a 408200 ext4magic_0.3.1.orig.tar.gz
 1fcab402f4b273dfd31de2e5bcdbe81db97ecf03 4346 ext4magic_0.3.1-1.debian.tar.gz
 209bc3c9a7b1d01478cd9020699ab87892f44260 115850 ext4magic_0.3.1-1_amd64.deb
Checksums-Sha256: 
 44700390ece30f98adc2634c3a882d954c7fac066a2d1cdf2e5009c27b048cba 1390 ext4magic_0.3.1-1.dsc
 ca257d5f90b29d799c10b5f97d70a74113a853df7899699e8a7bd2108778580b 408200 ext4magic_0.3.1.orig.tar.gz
 afae668ee9059c64fbdf426734ecadfba4151d3f6f1099df48107ced3abb9ece 4346 ext4magic_0.3.1-1.debian.tar.gz
 e757248a407f4830445c21321de93982144a3d700b9a5e7b1005fba26aa733ff 115850 ext4magic_0.3.1-1_amd64.deb
Files: 
 830c32eee9300f7ac59694033c78c118 1390 utils optional ext4magic_0.3.1-1.dsc
 f1616fbe3a98ca4988797bfa8ba2e90d 408200 utils optional ext4magic_0.3.1.orig.tar.gz
 20b3a4a10118ffb3f8428d93218ba717 4346 utils optional ext4magic_0.3.1-1.debian.tar.gz
 9f8b088189162f698dd4a9fdf4b64f49 115850 utils optional ext4magic_0.3.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlF1VgMACgkQ2N9T+zficuhz0gCfYIMc3eA+54S7crHUTHPI6vr2
ppUAnjSwiTCO8itkXpV+Qxdgy/F+LCp/
=3sHt
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 27 May 2013 07:27:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:43:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.